View traffic policy

Prev Next

Available in Classic and VPC

View a traffic policy according to the specified conditions.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /gtm/v1/policies

Request headers

For information about the headers common to all Traffic Policy APIs, see Traffic Policy API request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number of the paged results
  • 0 (default)
size Integer Optional Number of results to display on a page
  • 20 (default)
applyYn Boolean Optional Application status
  • true | false
    • true: applied
    • false: not applied
domainName String Optional Profile name
name String Optional Policy name

Request example

The following is a sample request.

curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/policies?size=2&applyYn=false' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See PolicyListResponse for the response body.

Response status codes

For information about the HTTP status codes common to all Traffic Policy APIs, see Traffic Policy API response status codes.

Response example

The following is a sample response.

{
    "content": [
        {
            "sid": ****,
            "name": "policy000",
            "lbType": "ROUND_ROBIN",
            "memo": null,
            "monitoringYn": true
        }
    ],
    "pageable": {
        "sort": {
            "sorted": false,
            "unsorted": true,
            "empty": true
        },
        "pageNumber": 0,
        "pageSize": 2,
        "offset": 0,
        "paged": true,
        "unpaged": false
    },
    "last": true,
    "totalPages": 1,
    "totalElements": 1,
    "first": true,
    "sort": {
        "sorted": false,
        "unsorted": true,
        "empty": true
    },
    "number": 0,
    "numberOfElements": 1,
    "size": 2,
    "empty": false
}